From 8f7ca8ad010ad64c9c02a9386bf4938791d9c8fc Mon Sep 17 00:00:00 2001
From: lb584 <lb584@cam.ac.uk>
Date: Thu, 19 Oct 2023 13:57:47 +0100
Subject: [PATCH] adding runner scripts for all processor components

---
 scripts/run_Advisory_Processor.sh                  | 14 ++++++++++++++
 ...po_Processor.sh => run_Deposition_Processor.sh} |  2 --
 scripts/run_Environment_Processor.sh               | 14 ++++++++++++++
 scripts/run_Epidemiology_Processor.sh              | 14 ++++++++++++++
 scripts/run_Scraper_Processor.sh                   | 14 ++++++++++++++
 scripts/run_Survey_Processor.sh                    | 14 ++++++++++++++
 6 files changed, 70 insertions(+), 2 deletions(-)
 create mode 100644 scripts/run_Advisory_Processor.sh
 rename scripts/{run_Depo_Processor.sh => run_Deposition_Processor.sh} (87%)
 create mode 100644 scripts/run_Environment_Processor.sh
 create mode 100644 scripts/run_Epidemiology_Processor.sh
 create mode 100644 scripts/run_Scraper_Processor.sh
 create mode 100644 scripts/run_Survey_Processor.sh

diff --git a/scripts/run_Advisory_Processor.sh b/scripts/run_Advisory_Processor.sh
new file mode 100644
index 0000000..6ccbe5c
--- /dev/null
+++ b/scripts/run_Advisory_Processor.sh
@@ -0,0 +1,14 @@
+
+# get path of this script (to point to files within the same git repo)
+proc_path="$(dirname "$(readlink -f "$0")")"
+
+source "${proc_path}"/run_utils.sh
+
+setup_conda_env
+
+python "${proc_path}"/../coordinator/ProcessorAdvisory.py "$@"
+exit_code=$?
+
+teardown_conda_env
+
+exit $exit_code
diff --git a/scripts/run_Depo_Processor.sh b/scripts/run_Deposition_Processor.sh
similarity index 87%
rename from scripts/run_Depo_Processor.sh
rename to scripts/run_Deposition_Processor.sh
index d16ac39..a38c3c0 100644
--- a/scripts/run_Depo_Processor.sh
+++ b/scripts/run_Deposition_Processor.sh
@@ -6,8 +6,6 @@ source "${proc_path}"/run_utils.sh
 
 setup_conda_env
 
-
-# run the processor with all arguments
 python "${proc_path}"/../coordinator/ProcessorDeposition.py "$@"
 exit_code=$?
 
diff --git a/scripts/run_Environment_Processor.sh b/scripts/run_Environment_Processor.sh
new file mode 100644
index 0000000..c12a56a
--- /dev/null
+++ b/scripts/run_Environment_Processor.sh
@@ -0,0 +1,14 @@
+
+# get path of this script (to point to files within the same git repo)
+proc_path="$(dirname "$(readlink -f "$0")")"
+
+source "${proc_path}"/run_utils.sh
+
+setup_conda_env
+
+python "${proc_path}"/../coordinator/ProcessorEnvironment.py "$@"
+exit_code=$?
+
+teardown_conda_env
+
+exit $exit_code
diff --git a/scripts/run_Epidemiology_Processor.sh b/scripts/run_Epidemiology_Processor.sh
new file mode 100644
index 0000000..7d8b0d8
--- /dev/null
+++ b/scripts/run_Epidemiology_Processor.sh
@@ -0,0 +1,14 @@
+
+# get path of this script (to point to files within the same git repo)
+proc_path="$(dirname "$(readlink -f "$0")")"
+
+source "${proc_path}"/run_utils.sh
+
+setup_conda_env
+
+python "${proc_path}"/../coordinator/ProcessorEpidemiology.py "$@"
+exit_code=$?
+
+teardown_conda_env
+
+exit $exit_code
diff --git a/scripts/run_Scraper_Processor.sh b/scripts/run_Scraper_Processor.sh
new file mode 100644
index 0000000..405aa1a
--- /dev/null
+++ b/scripts/run_Scraper_Processor.sh
@@ -0,0 +1,14 @@
+
+# get path of this script (to point to files within the same git repo)
+proc_path="$(dirname "$(readlink -f "$0")")"
+
+source "${proc_path}"/run_utils.sh
+
+setup_conda_env
+
+python "${proc_path}"/../coordinator/ProcessorScraper.py "$@"
+exit_code=$?
+
+teardown_conda_env
+
+exit $exit_code
diff --git a/scripts/run_Survey_Processor.sh b/scripts/run_Survey_Processor.sh
new file mode 100644
index 0000000..2e7b76c
--- /dev/null
+++ b/scripts/run_Survey_Processor.sh
@@ -0,0 +1,14 @@
+
+# get path of this script (to point to files within the same git repo)
+proc_path="$(dirname "$(readlink -f "$0")")"
+
+source "${proc_path}"/run_utils.sh
+
+setup_conda_env
+
+python "${proc_path}"/../coordinator/ProcessorSurvey.py "$@"
+exit_code=$?
+
+teardown_conda_env
+
+exit $exit_code
-- 
GitLab